var randomLinks = $('.randomizer');
var original = randomLinks.css('background-color');
var colors = ['#f9c213', '#f35c4a', '#ff9900', '#02d490', '#495fff', '#ff12ab', '#7579FF'];

randomLinks.hover(function () { //mouseover
    var col2 = Math.floor(Math.random() * colors.length);
    var newcolor = colors[col2];

    $(this).css('background-color', newcolor);
    $(this).addClass('changed');
    $(this).css('color', "white");

}, function () { //mouseout
    $(this).css('background-color', original);
    $(this).removeClass('changed');
    $(this).css('color', "black");

});


let randomizer = document.querySelector('.randomizer');

randomizer.onclick = function() {
  randomizeOpenedScenes()
}

function randomizeOpenedScenes() {
  let items = document.querySelectorAll(".item");

  let opened_gallery_scenes = [];
  let opened_gallery_scenes_end_id = [];
  let opened_gallery_scenes_scene_names = [];

  items.forEach((item) => {

    if(item.getAttribute("locked_scene") == "false") {
      opened_gallery_scenes.push(item.getAttribute("load_id"))
      opened_gallery_scenes_end_id.push(item.getAttribute("end_id"))
      opened_gallery_scenes_scene_names.push(item.getAttribute("scene_title"))

    }

  });

  let resultRandom = Math.floor(Math.random() * opened_gallery_scenes.length);
  let randomizedID = opened_gallery_scenes[resultRandom];
  let randomizedEndID = opened_gallery_scenes_end_id[resultRandom];
  let randomizedSceneName = opened_gallery_scenes_scene_names[resultRandom];

  if(opened_gallery_scenes.length == 0) {
    showNotification("You didn't find any scenes! You should find something to randomize!", 6000)


  } else {
    blackoutEffectAllGameWithoutRemoving()
    showSpinner()

    setTimeout(function () {
      closeMenu();
      launchGame(randomizedID)
        .then(() => startGameFromMenu())

        .then(() => setTimeout(function () {
          hideSpinner()
          removeBlackout()
        }, 100))
      end_id = parseInt(randomizedEndID);
    }, 100);

    showBar();
    hideFeaturesButton()
    resetLoopButton();

    removeAllMenus();
    removeAllOverlays();

    showNotification('You got "' + randomizedSceneName + '" scene!', 8000)
  }

}
